summaryrefslogtreecommitdiffstats
path: root/release
diff options
context:
space:
mode:
authorjkh <jkh@FreeBSD.org>1994-12-02 15:36:45 +0000
committerjkh <jkh@FreeBSD.org>1994-12-02 15:36:45 +0000
commit4d9b3377cfa3650d9a0883e565dba6eebc6c8856 (patch)
tree3f109e484aed777d359d62a3ecdb9156abaccfcb /release
parent8091ade428526edaab100abaf43a77b23f9a6476 (diff)
downloadFreeBSD-src-4d9b3377cfa3650d9a0883e565dba6eebc6c8856.zip
FreeBSD-src-4d9b3377cfa3650d9a0883e565dba6eebc6c8856.tar.gz
Fix dialog width for "Please enter the next diskette..." stuff.
Mount DOS floppies read-only.
Diffstat (limited to 'release')
-rw-r--r--release/instdist.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/release/instdist.sh b/release/instdist.sh
index d169dda..372b963 100644
--- a/release/instdist.sh
+++ b/release/instdist.sh
@@ -10,7 +10,7 @@
# putting your name on top after doing something trivial like reindenting
# it, just to make it look like you wrote it!).
#
-# $Id: instdist.sh,v 1.37 1994/12/01 13:46:11 jkh Exp $
+# $Id: instdist.sh,v 1.38 1994/12/01 20:11:52 jkh Exp $
if [ "${_INSTINST_SH_LOADED_}" = "yes" ]; then
return 0
@@ -205,9 +205,9 @@ media_install_set()
while [ "${COPYING}" = "yes" ]; do
progress "Asking for DOS diskette"
if dialog --title "Insert distribution diskette" \
- --yesno "Please enter the next diskette and select <Yes> to continue or <No> if finished" -1 -1; then
+ --yesno "Please enter the next diskette and select\n<Yes> to continue or <No> if finished" -1 -1; then
umount ${MNT} > /dev/null 2>&1
- if ! mount_msdos ${MEDIA_DEVICE} ${MNT}; then
+ if ! mount_msdos -r ${MEDIA_DEVICE} ${MNT}; then
error "Unable to mount floppy! Please correct."
else
( ${TAR_CMD} -cf - -C ${MNT} . | ${TAR_CMD} -xvf - ) >/dev/ttyv1 2>&1
OpenPOWER on IntegriCloud